Bug 1876913 - Git clone with proxy fails after RHEL8 migration
Summary: Git clone with proxy fails after RHEL8 migration
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Build
Version: 4.6
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
: 4.6.0
Assignee: Adam Kaplan
QA Contact: wewang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-08 13:51 UTC by Adam Kaplan
Modified: 2020-09-10 13:37 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift builder pull 174 None open Bug 1876913: Configure proxy via git config 2020-09-08 18:09:08 UTC
Github openshift library-go pull 885 None open Bug 1876913: Add global git configs 2020-09-08 17:47:31 UTC
Github openshift library-go pull 889 None open Bug 1876913: Redact proxy urls in git config 2020-09-09 14:38:10 UTC
Github openshift origin pull 25487 None open Bug 1876913: Fix test to verify git proxies 2020-09-08 17:56:23 UTC
Red Hat Bugzilla 1875639 None None None 2020-09-08 13:51:36 UTC

Description Adam Kaplan 2020-09-08 13:51:37 UTC
Description of problem:

Git clones fail if the git client is configured with *_PROXY environment variables and attempts to clone a repository in the NO_PROXY domain list.


Version-Release number of selected component (if applicable): 4.6.0


How reproducible: Always


Steps to Reproduce:
1. Configure a build to clone from github.com via a proxy in it's git source, with NO_PROXY set to include github.com
2. Run the build.

Actual results:

Build fails cloning source


Expected results:

Build is able to clone source


Additional info:

Related RHEL git bug: https://bugzilla.redhat.com/show_bug.cgi?id=1875639

Comment 1 Adam Kaplan 2020-09-08 13:52:18 UTC
Targeting 4.6 - considering this a release blocker.

Comment 5 wewang 2020-09-10 13:37:02 UTC
Since it's urgent bug, forgot to verify it in daytime, Now verify it in version:
version:
4.6.0-0.nightly-2020-09-09-173545

Steps:
using the file: https://raw.githubusercontent.com/adambkaplan/origin/master/test/extended/testdata/builds/test-build-proxy.yaml to test manually
[wewang@wangwen ~]$ oc get builds
NAME                            TYPE     FROM          STATUS                        STARTED              DURATION
sample-build-1                  Source   Git           Failed (GenericBuildFailed)   3 minutes ago        17s
sample-s2i-build-noproxy-1      Source   Git@57073c0   Complete                      2 minutes ago        16s
sample-s2i-build-noproxy-2      Source   Git@57073c0   Complete                      2 minutes ago        10s
sample-docker-build-noproxy-1   Docker   Git@57073c0   Complete                      About a minute ago   47s

sample-build-1 build failed, sample-s2i-build-noproxy-1  and sample-docker-build-noproxy-1 build complete are expected result.


Note You need to log in before you can comment on or make changes to this bug.